using IWS5.Core.Helpers;
using IWS5.Services.Extensions;
using IWS5.Services.Helpers;

namespace IWS5.Api.Extensions;

public static class ServiceCollectionExtensions
{
    public static IServiceCollection RegisterDependencies(this IServiceCollection services,
        IConfiguration configuration)
    {
        services.AddTransient<IMessageProcessor, MessageProcessor>();

        services.RegisterServices(configuration);
        return services;
    }
}